package com.tzld.piaoquan.ad.engine.service.score;

import com.tzld.piaoquan.ad.engine.commons.dto.AdPlatformCreativeDTO;
import com.tzld.piaoquan.ad.engine.commons.param.RankRecommendRequestParam;
import com.tzld.piaoquan.ad.engine.commons.score.ScoreParam;
import com.tzld.piaoquan.recommend.feature.domain.ad.base.AdRankItem;

import java.util.List;

public interface RankStrategy {

    AdRankItem adItemRank(RankRecommendRequestParam request);

    List<AdRankItem> adItemRank(RankRecommendRequestParam request, ScoreParam scoreParam);

    List<AdRankItem> adItemRank(List<AdPlatformCreativeDTO> creativeDTOS, ScoreParam scoreParam);
}
